/*
Zarafa Mail Checker
Copyright (C) 2007 Michael Erkens

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
function zarafaAboutOpenURL(url) {
	if (window.opener.getBrowser) {
		// we were opened by a browser
	    var newTab = window.opener.getBrowser().addTab(url);
       	window.opener.getBrowser().selectedTab = newTab;
	} else {
		// we were opened by the extensions window
        window.opener.open(url);
	}
    window.close();
}


function zarafaAboutInit(){
	document.getElementById("zarafa-version").value = Zarafa.VERSION+"-"+Zarafa.BUILD;
	if (window.opener.getBrowser){
		document.getElementById("zarafa-server-version").value = Zarafa.translate("server_version")+": "+window.opener.Zarafa.ZARAFA_VERSION;
	}
	document.getElementById("closebutton").focus();
}

window.addEventListener("load", function(e) { zarafaAboutInit(); }, false); 

